<script setup lang="ts">
import {
  mdiBookOpenPageVariant,
  mdiWrench,
  mdiMovieOpen,
  mdiBookHeart
} from '@mdi/js'

const links = [
  {
    text: 'kirara web',
    icon: mdiBookHeart,
    to: 'http://www.dokidokivisual.com/'
  },
  {
    text: 'aniplex',
    icon: mdiMovieOpen,
    to: 'https://www.aniplex.co.jp/'
  },
  {
    text: 'drecom',
    icon: mdiWrench,
    to: 'https://drecom.co.jp/'
  },
  {
    text: 'comicfuz',
    icon: mdiBookOpenPageVariant,
    to: 'https://comic-fuz.com/'
  }
] as const satisfies ReadonlyArray<{
  text: string
  icon: string
  to: string
}>
</script>

<template>
  <v-footer color="brown">
    <v-container>
      <v-row justify="center">
        <v-col class="mb-6" cols="10">
          <v-row justify="center">
            <v-col
              v-for="(link, i) in links"
              :key="i"
              class="text-center"
              cols="6"
              sm="6"
              md="6"
              lg="3"
              xl="3"
            >
              <v-btn class="text-white my-2" variant="text">
                <v-icon class="text-white mr-1" :icon="link.icon" />
                <a
                  target="_blank"
                  rel="noopener noreferrer"
                  style="text-decoration: none"
                  class="text-white"
                  :href="link.to"
                  v-text="$t(link.text)"
                />
              </v-btn>
            </v-col>
          </v-row>
        </v-col>
        <v-col class="text-left" cols="10">
          <v-row justify="space-between">
            <v-col class="text-center text-md-left" cols="12" md="8" lg="8">
              <p><strong>Sparkle team since 2023</strong></p>
              <small>
                <p class="my-2">
                  SparkleFantasia and the sparkle Team are not affiliated with
                  Houbunsha, Aniplex, or Drecom. We do not claim to own any
                  copyrighted material that may appear in this game or on this
                  website, nor do we profit off of said material.
                </p>
              </small>
            </v-col>
            <v-col
              class="text-center text-md-right align-end"
              cols="12"
              md="4"
              lg="4"
            >
              <v-row class="fill-height">
                <v-col class="mt-auto" cols="12" sm="6" md="12">
                  <v-btn size="small" variant="text" href="#">
                    Privacy Policy (NYI)
                  </v-btn>
                </v-col>
                <v-col cols="12" sm="6" md="12">
                  <v-btn
                    size="small"
                    variant="text"
                    href="https://forms.gle/76fzzmUKVWFpyajw9"
                  >
                    Contact Us
                  </v-btn>
                </v-col>
              </v-row>
            </v-col>
          </v-row>
        </v-col>
      </v-row>
    </v-container>
  </v-footer>
</template>
